# UpdatePartnerDetails

> Update a partner's name, @username, email, budget, dates, status or UTM values. Write access, partners toolset, MCP tool update_partner_details.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `body` | `JSON!` | yes | Object, fields below | Any subset of the writable columns, in snake_case column names. |
| `partnerId` | `UUID!` | yes |  |  |

## Input types

### `body`

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `name` | string | no | 1 to 120 characters |  |
| `username` | string | no | 1 to 80 characters |  |
| `email` | string (email) or null | no | at most 254 characters, format email |  |
| `profile_image` | string (uri) or null | no | format uri |  |
| `trusted` | boolean | no |  |  |
| `budget` | number or null | no | 0 to 9999999999.99 |  |
| `end_date` | any or null | no |  |  |
| `status` | string | no | One of `ACTIVE`, `PAUSED`, `ARCHIVED`, `DROPPED`, `PENDING` |  |
| `utm_source` | string or null | no | at most 120 characters |  |
| `utm_medium` | string or null | no | at most 120 characters |  |
| `utm_content` | string or null | no | at most 120 characters |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"UpdatePartnerDetails","variables":{"body":{"name":"Example partner"},"partnerId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"9fb73be60361c04d7c69d04f473bfef1333d2e18190ddcdfe2622c9e1d604901"}}}'
```

## Document

```graphql
mutation UpdatePartnerDetails($body: JSON!, $partnerId: UUID!) { __typename updatePartner(input: {partnerId: $partnerId, body: $body}) { __typename partner { __typename budget email endDate id name status username utmContent utmMedium utmSource } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/partners/update-partner-details
